Search User

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/user
API call form
Examples

A user can list all/specific users of their (sub)organization. For your own user-id, you can use the 'include' syntax to include information on other resources which are connected to your user. Only an organization owner can list all users from all suborganizations.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
name STRING
username STRING
email EMAIL
city STRING
theme STRING
flags ARRAY[STRING]
role STRING
suborganization STRING
country_id STRING
locale_id STRING
timezone_id STRING
feature_overrides ARRAY[STRING]
flag_plan STRING
created_at DATETIME
updated_at DATETIME
Can be executed by:
User Owner
Organization Member
Can be associated to:
Securables
Groups
Collections
Shareables
Organizations
Integrations
Locale
Country
Thumbnails
Account
Alert
Authorization
Plugin
Schedule
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 2,
  "rows": [
    {
      "id": "26535991-03e7-4fa7-97b6-204752da6cd0",
      "email": "test-0d2b5f60@luzmo.com",
      "name": "Mr Unit McTestFace",
      "city": "SmallUnitVille",
      "country_id": null,
      "locale_id": "en",
      "created_at": "2018-08-27T08:27:35.911Z"
    },
    {
      "id": "8b5ef4d1-79c1-4c35-8bb2-6a792a8aef2a",
      "email": "john.doe@luzmo.com",
      "name": "John Doe",
      "city": "BigCity",
      "country_id": null,
      "locale_id": "en",
      "created_at": "2022-01-29T12:00:00.000Z"
    }
  ]
}